package cn.iocoder.yudao.module.order.vo.orderException;

import cn.iocoder.yudao.module.order.vo.orderExceptionChannelPrice.OrderExceptionChannelPriceCreateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel("管理后台 - 异常处理 VO")
public class OrderExceptionResultHandlerVo {

    @ApiModelProperty(value = "异常id")
    @NotNull(message = "异常ID不能为空")
    private Long orderExceptionId;
    /**
     * 处理人
     */
    @ApiModelProperty(value = "处理人id")
    private Long handlerId;

    @ApiModelProperty(value = "异常状态")
    private String orderExceptionStatus;

    @ApiModelProperty(value = "异常处理结果")
    private String orderExceptionHandlerResult;

    @ApiModelProperty(value = "异常处理备注")
    private String orderExceptionHandlerRemark;

    @ApiModelProperty(value = "异常处理金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "异常处理币种")
    private String currency;

    @ApiModelProperty(value = "上传文件路径,多个文件,号分隔")
    private String files;

    @ApiModelProperty(value = "数据来源（pc端，mobile端）")
    private String source;

    @ApiModelProperty(value = "修改后以商品")
    private Long productId;

    @ApiModelProperty(value = "客户经理")
    private String customerService;

    @ApiModelProperty(value = "抄送人")
    private String[] ccIds;

    @ApiModelProperty(value = "出货渠道")
    private Long channelId;

    @ApiModelProperty(value = "线路")
    private Long lineId;

    /* @ApiModelProperty(value = "清关费")
     private ExceptionFeeDto cleanExceptionFeeDto;

     @ApiModelProperty(value = "运费")
     private ExceptionFeeDto freightExceptionFeeDto;*/
    @ApiModelProperty(value = "每个商品的运费和清关费")
    List<OrderExceptionChannelPriceCreateReqVO> channelPriceList;

    @ApiModelProperty(value = "重量上限")
    private BigDecimal weightLimit;

    /**
     * 是否系统自动处理
     */
    private boolean isSystemAutoProcess = false;

}
