package cn.iocoder.yudao.module.order.vo.orderObjective;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单目的仓库 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 订单目的地 Response VO")
public class OrderObjectiveBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ExcelProperty("目的地id")
    @ApiModelProperty(value = "目的地id")
    private Long objectiveId;

    @ApiModelProperty(value = "目的国家id")
    private Long objectiveCountryId;

    @ApiModelProperty(value = "目的仓库id")
    private Long objectiveWarehouseId;

    @ExcelProperty("目的地详情")
    @ApiModelProperty(value = "目的地详情")
    private String objective;

    @ExcelProperty("0调仓标志;1原始数据，实际的目的地仓库")
    @ApiModelProperty(value = "0调仓标志;1原始数据，实际的目的地仓库")
    private Integer type;

    @ExcelProperty("货到没到这个仓库：0未到；1已到")
    @ApiModelProperty(value = "货到没到这个仓库：0未到；1已到")
    private Boolean isThis;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
